Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSravan Kumar Lakkimsetti2020-02-12 08:47:39 +0000
committerSravan Kumar Lakkimsetti2020-02-12 08:47:39 +0000
commitf817a04f1d741c7179d5b4e2d9d6039c673be085 (patch)
treec1cf06df7b25698e31353cda9d91a19de72069e1
parentd140626aff924d6b6422b0c25eb1f6f28e75138e (diff)
downloadeclipse.platform.releng.aggregator-f817a04f1d741c7179d5b4e2d9d6039c673be085.tar.gz
eclipse.platform.releng.aggregator-f817a04f1d741c7179d5b4e2d9d6039c673be085.tar.xz
eclipse.platform.releng.aggregator-f817a04f1d741c7179d5b4e2d9d6039c673be085.zip
Bug 553757 - Migrate I-builds to new infra
Enabled git tagging and publishing of builds Change-Id: I8f5c67ca4663373eccf94927705dbaa0e0c31498 Signed-off-by: Sravan Kumar Lakkimsetti <sravankumarl@in.ibm.com>
-rwxr-xr-xcje-production/mbscripts/mb110_tagBuildInputs.sh8
-rwxr-xr-xcje-production/mbscripts/mb300_gatherEclipseParts.sh21
-rwxr-xr-xcje-production/mbscripts/mb600_promoteEclipse.sh6
-rwxr-xr-xcje-production/mbscripts/mb610_promoteEquinox.sh6
-rwxr-xr-xcje-production/mbscripts/mb620_promoteUpdateSite.sh5
5 files changed, 39 insertions, 7 deletions
diff --git a/cje-production/mbscripts/mb110_tagBuildInputs.sh b/cje-production/mbscripts/mb110_tagBuildInputs.sh
index 735a8b0f2..25d56c308 100755
--- a/cje-production/mbscripts/mb110_tagBuildInputs.sh
+++ b/cje-production/mbscripts/mb110_tagBuildInputs.sh
@@ -35,12 +35,12 @@ pushd $CJE_ROOT/$AGG_DIR
# git tagging
git commit -m "Build input for build $BUILD_ID"
-#git push origin HEAD
+git push origin HEAD
-#git submodule foreach "if grep \"^\${name}:\" ../../../streams/repositories_$PATCH_OR_BRANCH_LABEL.txt > /dev/null; then git tag $BUILD_ID; git push --verbose origin $BUILD_ID; else echo Skipping \$name; fi || :"
-git submodule foreach "if grep \"^\${name}:\" ../../../streams/repositories_$PATCH_OR_BRANCH_LABEL.txt > /dev/null; then git tag $BUILD_ID; else echo Skipping \$name; fi || :"
+git submodule foreach "if grep \"^\${name}:\" ../../../streams/repositories_$PATCH_OR_BRANCH_LABEL.txt > /dev/null; then git tag $BUILD_ID; git push --verbose origin $BUILD_ID; else echo Skipping \$name; fi || :"
+#git submodule foreach "if grep \"^\${name}:\" ../../../streams/repositories_$PATCH_OR_BRANCH_LABEL.txt > /dev/null; then git tag $BUILD_ID; else echo Skipping \$name; fi || :"
git tag $BUILD_ID
-#git push --verbose origin $BUILD_ID
+git push --verbose origin $BUILD_ID
# git logging
if [[ -n "$lastTag" ]]; then
diff --git a/cje-production/mbscripts/mb300_gatherEclipseParts.sh b/cje-production/mbscripts/mb300_gatherEclipseParts.sh
index 8f1aea26c..45434a4a1 100755
--- a/cje-production/mbscripts/mb300_gatherEclipseParts.sh
+++ b/cje-production/mbscripts/mb300_gatherEclipseParts.sh
@@ -244,3 +244,24 @@ java -jar $LAUNCHER_JAR \
-v \
publish
popd
+
+comparatorLogMinimumSize=250
+comparatorLog=$CJE_ROOT/$DROP_DIR/$BUILD_ID/buildlogs/comparatorlogs/buildtimeComparatorUnanticipated.log.txt
+
+logSize=0
+if [[ -e ${comparatorLogPath} ]]
+then
+ logSize=$(stat -c '%s' ${comparatorLogPath} )
+ echo -e "DEBUG: comparatorLog found at\n\t${comparatorLogPath}\n\tWith size of $logSize bytes"
+else
+ echo -e "DEBUG: comparatorLog was surprisingly not found at:\n\t${comparatorLogPath}"
+fi
+
+if [[ $logSize -gt ${comparatorLogMinimumSize} ]]
+then
+ echo -e "DEBUG: found logsize greater an minimum. preparing message using ${link}"
+ fn-write-property COMPARATOR_ERRORS "true"
+else
+ echo -e "DEBUG: comparator logSize of $logSize was not greater than comparatorLogMinimumSize of ${comparatorLogMinimumSize}"
+fi
+
diff --git a/cje-production/mbscripts/mb600_promoteEclipse.sh b/cje-production/mbscripts/mb600_promoteEclipse.sh
index 9db936fa8..7e5004b54 100755
--- a/cje-production/mbscripts/mb600_promoteEclipse.sh
+++ b/cje-production/mbscripts/mb600_promoteEclipse.sh
@@ -27,5 +27,9 @@ pushd $CJE_ROOT/$DROP_DIR/
epDownloadDir=/home/data/httpd/download.eclipse.org/eclipse
dropsPath=${epDownloadDir}/downloads/drops4
scp -r ${BUILD_ID} genie.releng@projects-storage.eclipse.org:${dropsPath}/.
-ssh genie.releng@projects-storage.eclipse.org touch ${dropsPath}/${BUILD_ID}/buildHidden
+if [[ $COMPARATOR_ERRORS == "true" ]]
+then
+ ssh genie.releng@projects-storage.eclipse.org touch ${dropsPath}/${BUILD_ID}/buildUnstable
+ ssh genie.releng@projects-storage.eclipse.org echo "<p>This build has been marked unstable due to <a href='https://download.eclipse.org/eclipse/downloads/drops4/${BUILD_ID}/buildlogs/comparatorlogs/buildtimeComparatorUnanticipated.log.txt'>unanticipated comparator errors</a></p>">> ${dropsPath}/${BUILD_ID}/buildUnstable
+fi
popd
diff --git a/cje-production/mbscripts/mb610_promoteEquinox.sh b/cje-production/mbscripts/mb610_promoteEquinox.sh
index d79869048..2e10b9110 100755
--- a/cje-production/mbscripts/mb610_promoteEquinox.sh
+++ b/cje-production/mbscripts/mb610_promoteEquinox.sh
@@ -27,5 +27,9 @@ pushd $CJE_ROOT/$EQUINOX_DROP_DIR
epDownloadDir=/home/data/httpd/download.eclipse.org/equinox
dropsPath=${epDownloadDir}/drops
scp -r ${BUILD_ID} genie.releng@projects-storage.eclipse.org:${dropsPath}/.
-ssh genie.releng@projects-storage.eclipse.org touch ${dropsPath}/${BUILD_ID}/buildHidden
+if [[ $COMPARATOR_ERRORS == "true" ]]
+then
+ ssh genie.releng@projects-storage.eclipse.org touch ${dropsPath}/${BUILD_ID}/buildUnstable
+ ssh genie.releng@projects-storage.eclipse.org echo "<p>This build has been marked unstable due to <a href='https://download.eclipse.org/eclipse/downloads/drops4/${BUILD_ID}/buildlogs/comparatorlogs/buildtimeComparatorUnanticipated.log.txt'>unanticipated comparator errors</a></p>">> ${dropsPath}/${BUILD_ID}/buildUnstable
+fi
popd
diff --git a/cje-production/mbscripts/mb620_promoteUpdateSite.sh b/cje-production/mbscripts/mb620_promoteUpdateSite.sh
index ce6f09e56..10de8a90e 100755
--- a/cje-production/mbscripts/mb620_promoteUpdateSite.sh
+++ b/cje-production/mbscripts/mb620_promoteUpdateSite.sh
@@ -29,7 +29,10 @@ pushd $CJE_ROOT/$UPDATES_DIR
scp -r ${BUILD_ID} genie.releng@projects-storage.eclipse.org:${dropsPath}/.
popd
-exit 0
+if [[ $COMPARATOR_ERRORS == "true" ]]
+then
+ exit 0
+fi
epDownloadDir=/home/data/httpd/download.eclipse.org/eclipse
workingDir=${epDownloadDir}/workingDir

Back to the top